org.apache.tapestry5.internal.webresources

## Class ResourceTransformerFactoryImpl

- java.lang.Object
- - org.apache.tapestry5.internal.webresources.ResourceTransformerFactoryImpl

- All Implemented Interfaces:
    ResourceTransformerFactory

      public class ResourceTransformerFactoryImpl
      extends Object
      implements ResourceTransformerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceTransformerFactoryImpl(org.slf4j.Logger logger, OperationTracker tracker, boolean productionMode, String cacheDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createCacheDir(boolean restrictive)`
    `ResourceTransformer` | `createCompiler(String contentType, String sourceName, String targetName, ResourceTransformer transformer, CacheMode cacheMode)` Constructs a compiler around a another ResourceTransformer implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceTransformerFactoryImpl

          public ResourceTransformerFactoryImpl(org.slf4j.Logger logger,
                                        OperationTracker tracker,
                                        @Symbol(value="tapestry.production-mode")
                                        boolean productionMode,
                                        @Symbol(value="tapestry.compiled-asset-cache-dir")
                                        String cacheDir)

  - ### Method Detail

    - #### createCacheDir

          @PostInjection
          public void createCacheDir(@Symbol(value="tapestry.restrictive-environment")
                                          boolean restrictive)

    - #### createCompiler

          public ResourceTransformer createCompiler(String contentType,
                                           String sourceName,
                                           String targetName,
                                           ResourceTransformer transformer,
                                           CacheMode cacheMode)

      Description copied from interface: `ResourceTransformerFactory`
      Constructs a compiler around a another ResourceTransformer implementation. In development mode, the wrapped version will handle caching, as well as logging output of timing for the real implementation.
      Specified by:
        `createCompiler` in interface `ResourceTransformerFactory`
        `sourceName` - for debugging: source name, e.g., "Less"
        `targetName` - for debugging: target name, e.g., "CSS"
        `transformer` - performs the actual work
        `cacheMode` - Indicates if and how the compiled content should be cached (in development mode only)
      Returns:
        transformer
      See Also:
        `org.apache.tapestry5.webresources.services.ResourceProcessorSource`

${project.version} - Copyright © 2003-2014 The Apache Software Foundation.